﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.Security;

public partial class Login : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    // 登陆
    protected void btnLogin_Click(object sender, EventArgs e)
    {
        string username = txtUserName.Text.Trim();
        string pwd = txtPassword.Text.Trim();
        bool rememberme = chkPWDRemeber.Checked;
        if (username.Length == 0 || pwd.Length == 0)
        {

            Page.ClientScript.RegisterStartupScript(Page.GetType(), "message",
       "<script language='javascript' defer>alert('请填写完整登陆名和密码！');</script>");
            return;
        }
        if (Membership.ValidateUser(username, pwd))
        {
            MembershipUser user = Membership.GetUser(username);
            if (user != null)
            {
                int count = 0;
                if (user.Comment == "" || user.Comment == null)
                {
                    user.Comment = "0"; //记录登录次数                    
                }
                count = Convert.ToInt32(user.Comment) + 1;
                user.Comment = count.ToString();
                Membership.UpdateUser(user);
                FormsAuthentication.RedirectFromLoginPage(username, rememberme);
            }
        }
        else
        {
            MembershipUser user = Membership.GetUser(username);
            if (user == null)
            {
                Page.ClientScript.RegisterStartupScript(Page.GetType(), "message",
      "<script language='javascript' defer>alert('没有该用户！');</script>");
            }
            else if (user.IsLockedOut)
            {
                Page.ClientScript.RegisterStartupScript(Page.GetType(), "message",
      "<script language='javascript' defer>alert('您的账户已停用，请联系管理员！');</script>");
            }
            else
            {
                Page.ClientScript.RegisterStartupScript(Page.GetType(), "message",
           "<script language='javascript' defer>alert('登陆名或者密码错误！');</script>");
            }
        }
    }
}
